System requirements for using Trainerize

As much as possible, we try to support the most popular browsers and handsets. Unfortunately, as there are so many combinations of handsets, devices and OS, we are unable to support all of them. Here are our recommended list. 

 

On the web app

We recommend using the Google Chrome web browser when accessing the app and creating programming. You can download it for free here.

 

On mobile devices

Trainerize is designed for optimal performance with the latest version of iOS and Android operating systems. We will formally support up to 2 versions back from the latest Operating System.

As of today:

  • iPhones require iOS 12.0 and above.
  • iPads require iPadOS 12.0 and above.
  • Android devices require Android 6.0 and above
  • Apple Watch require Watch OS 6.1 +

 

Related Articles

The app crashed or gives me an error - what do I do?

How does the mobile app work for Clients / Trainers?

How and where do I download the mobile app?

This article was last updated on

Have more questions? Submit a request

0 Comments

Article is closed for comments.